#version 410

in  vec3 inPosition;

// NY
uniform mat4 mdlMatrix;
uniform mat4 camMatrix;
uniform mat4 projMatrix;

void main(void)
{
	mat3 normalMatrix1 = mat3(camMatrix * mdlMatrix);

	gl_Position = projMatrix * camMatrix * mdlMatrix * vec4(inPosition, 1.0);
}
